--- a/MySQL.spec	2023-11-13 06:07:52.577194613 +0300
+++ b/MySQL.spec	2023-11-13 06:07:52.759192532 +0300
@@ -628,7 +628,7 @@
 %if_with mysql_router 
 %pre router
 /usr/sbin/groupadd -r -f %mysqlrouter_user
-/usr/sbin/useradd -r -g %mysqlrouter_user -d %ROUTER_ROOT -s /dev/null -c "MySQL router" -n %mysqlrouter_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqlrouter_user -d %ROUTER_ROOT -s /dev/null -c "MySQL router" -N %mysqlrouter_user >/dev/null 2>&1 ||:
 if [ -e /etc/mysqlrouter/mysqlrouter.conf -a ! -e /etc/mysqlrouter/mysqlrouter.conf.rename ]; then
         mv -v /etc/mysqlrouter/mysqlrouter.conf /etc/mysqlrouter/mysqlrouter.conf.rename &&
         chown 0:0 /etc/mysqlrouter/mysqlrouter.conf.rename &&
@@ -656,7 +656,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f %mysqld_user
-/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -n %mysqld_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -N %mysqld_user >/dev/null 2>&1 ||:
 
 if [ ! -e %ROOT/my.cnf -a -f /etc/my.cnf -a ! -L /etc/my.cnf -a ! -e /etc/my.cnf.rename ]; then
 	mv -v /etc/my.cnf /etc/my.cnf.rename &&
--- a/agola.spec	2023-11-13 06:07:53.074188929 +0300
+++ b/agola.spec	2023-11-13 06:07:53.082188837 +0300
@@ -78,7 +78,7 @@
 
 %pre
 groupadd -r -f _%name
-useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -n _%name >/dev/null 2>&1 ||:
+useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -N _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/alterator-fbi.spec	2023-11-13 06:07:53.194187555 +0300
+++ b/alterator-fbi.spec	2023-11-13 06:07:53.207187405 +0300
@@ -92,7 +92,7 @@
 %pre
 /usr/sbin/groupadd -r -f _ahttpd
 /usr/sbin/groupadd -r -f _alteratord
-/usr/sbin/useradd -r -g _ahttpd -G _alteratord -d /dev/null -s /dev/null -n _ahttpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _ahttpd -G _alteratord -d /dev/null -s /dev/null -N _ahttpd >/dev/null 2>&1 ||:
 
 %post
 %post_service ahttpd
--- a/asterisk.spec	2023-11-13 06:07:53.930179137 +0300
+++ b/asterisk.spec	2023-11-13 06:07:53.953178872 +0300
@@ -122,7 +122,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _asterisk &> /dev/null
-%_sbindir/useradd -r -g _asterisk -d /dev/null -s /dev/null -c 'Asterisk IP PBX' -n _asterisk &> /dev/null ||:
+%_sbindir/useradd -r -g _asterisk -d /dev/null -s /dev/null -c 'Asterisk IP PBX' -N _asterisk &> /dev/null ||:
 
 %post
 %post_service asterisk
--- a/atftp.spec	2023-11-13 06:07:54.010178221 +0300
+++ b/atftp.spec	2023-11-13 06:07:54.016178152 +0300
@@ -48,7 +48,7 @@
  
 %pre
 %_sbindir/groupadd -r -f _atftpd &> /dev/null
-%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -n _atftpd &> /dev/null ||:
+%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -N _atftpd &> /dev/null ||:
 
 %post
 %post_service atftpd
--- a/bacula11.spec	2023-11-13 06:07:54.254175430 +0300
+++ b/bacula11.spec	2023-11-13 06:07:54.331174547 +0300
@@ -651,7 +651,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f bacula
-%_sbindir/useradd -r -n -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
 %_sbindir/usermod -d /var/empty -s /bin/false bacula >/dev/null 2>&1
 
 %post common
--- a/bacula13.spec	2023-11-13 06:07:54.423173495 +0300
+++ b/bacula13.spec	2023-11-13 06:07:54.500172616 +0300
@@ -660,7 +660,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f bacula
-%_sbindir/useradd -r -n -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
 %_sbindir/usermod -d /var/empty -s /bin/false bacula >/dev/null 2>&1
 
 %post common
--- a/bind.spec	2023-11-13 06:07:54.592171561 +0300
+++ b/bind.spec	2023-11-13 06:07:54.629171140 +0300
@@ -384,7 +384,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %named_group
-/usr/sbin/useradd -r -g %named_group -d %_chrootdir -s /dev/null -n \
+/usr/sbin/useradd -r -g %named_group -d %_chrootdir -s /dev/null -N \
     -c "Domain Name Server" %named_user >/dev/null 2>&1 ||:
 [ -f %_initdir/named -a ! -L %_initdir/named ] && /sbin/chkconfig --del named ||:
 
--- a/bird.spec	2023-11-13 06:07:54.693170407 +0300
+++ b/bird.spec	2023-11-13 06:07:54.703170293 +0300
@@ -89,7 +89,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _bird 2> /dev/null ||:
-%_sbindir/useradd -r -n -g _bird -d /var/lib/bird -s /dev/null -c "BIRD Routing Daemon System User" _bird 2> /dev/null ||:
+%_sbindir/useradd -r -N -g _bird -d /var/lib/bird -s /dev/null -c "BIRD Routing Daemon System User" _bird 2> /dev/null ||:
 
 %post
 %post_service bird
--- a/bluez-alsa.spec	2023-11-13 06:07:54.831168829 +0300
+++ b/bluez-alsa.spec	2023-11-13 06:07:54.843168689 +0300
@@ -119,7 +119,7 @@
 %endif
 
 %pre
-/usr/sbin/useradd -r -n -g audio -M -s /dev/null -c %b_user %b_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g audio -M -s /dev/null -c %b_user %b_user >/dev/null 2>&1 ||:
 
 %files
 %doc README.md NEWS LICENSE AUTHORS
--- a/burp.spec	2023-11-13 06:07:55.179164847 +0300
+++ b/burp.spec	2023-11-13 06:07:55.187164755 +0300
@@ -93,7 +93,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _burp
-/usr/sbin/useradd -r -g _burp -d /var/empty -s /dev/null -n -c "BURP BackUp and Restore Program" _burp >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _burp -d /var/empty -s /dev/null -N -c "BURP BackUp and Restore Program" _burp >/dev/null 2>&1 ||:
 
 %post
 %post_service burp-server
--- a/c-icap.spec	2023-11-13 06:07:55.251164023 +0300
+++ b/c-icap.spec	2023-11-13 06:07:55.261163908 +0300
@@ -95,7 +95,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _c_icap ||:
-/usr/sbin/useradd -M -n _c_icap -r -d %_runtimedir/%name -s /dev/null -c "System user for %name" -g _c_icap > /dev/null 2>&1 ||:
+/usr/sbin/useradd -M -N _c_icap -r -d %_runtimedir/%name -s /dev/null -c "System user for %name" -g _c_icap > /dev/null 2>&1 ||:
 
 # home directory was in /var/run/ before 1:0.5.6-alt2
 /usr/sbin/usermod --home /run/%name _c_icap ||:
--- a/cmdproxyd.spec	2023-11-13 06:07:55.820157513 +0300
+++ b/cmdproxyd.spec	2023-11-13 06:07:55.824157468 +0300
@@ -26,7 +26,7 @@
 
 %post
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 %post_service %name
 
 %preun
--- a/colord.spec	2023-11-13 06:07:55.875156885 +0300
+++ b/colord.spec	2023-11-13 06:07:55.899156610 +0300
@@ -179,7 +179,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %colord_group 2>/dev/null ||:
-%_sbindir/useradd -r -n -g %colord_group -d %_localstatedir/%name \
+%_sbindir/useradd -r -N -g %colord_group -d %_localstatedir/%name \
 	-s /dev/null -c "User for colord" %colord_user 2>/dev/null ||:
 
 %files -f %name.lang
--- a/dansguardian.spec	2023-11-13 06:07:55.998155476 +0300
+++ b/dansguardian.spec	2023-11-13 06:07:56.006155386 +0300
@@ -57,7 +57,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1
-%_sbindir/useradd -r -n -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
 
 %preun
 %preun_service %name
--- a/dbus.spec	2023-11-13 06:07:56.126154014 +0300
+++ b/dbus.spec	2023-11-13 06:07:56.143153819 +0300
@@ -147,7 +147,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %dbus_group 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:
+%_sbindir/useradd -r -N -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:
 
 %post
 if [ $1 -eq 1 ] ; then
--- a/deluge.spec	2023-11-13 06:07:56.202153144 +0300
+++ b/deluge.spec	2023-11-13 06:07:56.216152983 +0300
@@ -115,7 +115,7 @@
 
 %pre -n deluged
 %_sbindir/groupadd -r -f _deluge
-%_sbindir/useradd -r -n -g _deluge -d %_spooldir/%{name}d -s /dev/null -c "deluge bittorrent daemon" _deluge >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _deluge -d %_spooldir/%{name}d -s /dev/null -c "deluge bittorrent daemon" _deluge >/dev/null 2>&1 ||:
 
 %post -n deluged
 %post_service deluged
--- a/dictd.spec	2023-11-13 06:07:56.275152308 +0300
+++ b/dictd.spec	2023-11-13 06:07:56.293152103 +0300
@@ -160,7 +160,7 @@
 
 %pre
 %_sbindir/groupadd -r dictd &>/dev/null ||:
-%_sbindir/useradd -r -n -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:
+%_sbindir/useradd -r -N -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:
 
 %post
 if [ "$1" = "1" ]; then
--- a/dovecot.spec	2023-11-13 06:07:57.422139187 +0300
+++ b/dovecot.spec	2023-11-13 06:07:57.439138992 +0300
@@ -170,10 +170,10 @@
 %pre
 %pre_control mailboxes
 groupadd -r -f dovecot 2>/dev/null ||:
-useradd -r -n -g dovecot -c 'Dovecot internal processes' \
+useradd -r -N -g dovecot -c 'Dovecot internal processes' \
 		-d %_var/run/%name -s /dev/null dovecot 2>/dev/null ||:
 groupadd -r -f dovenull 2>/dev/null ||:
-useradd -r -n -g dovenull -c 'Dovecot untrusted login processes' \
+useradd -r -N -g dovenull -c 'Dovecot untrusted login processes' \
 		-d %_var/run/%name -s /dev/null dovenull 2>/dev/null ||:
 %post
 %post_control -s private mailboxes
--- a/etcd.spec	2023-11-13 06:07:57.855134232 +0300
+++ b/etcd.spec	2023-11-13 06:07:57.863134140 +0300
@@ -81,7 +81,7 @@
 
 %pre
 groupadd -r -f %etcd_group
-useradd -r -g %etcd_group -d /dev/null -s /dev/null -n %etcd_user >/dev/null 2>&1 ||:
+useradd -r -g %etcd_group -d /dev/null -s /dev/null -N %etcd_user >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/fcgiwrap.spec	2023-11-13 06:07:58.090131544 +0300
+++ b/fcgiwrap.spec	2023-11-13 06:07:58.094131499 +0300
@@ -34,7 +34,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _webserver ||:
-%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -n _fcgiwrap \
+%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -N _fcgiwrap \
         2> /dev/null > /dev/null ||:
 
 %files
--- a/fetchmail.spec	2023-11-13 06:07:58.157130777 +0300
+++ b/fetchmail.spec	2023-11-13 06:07:58.172130606 +0300
@@ -160,7 +160,7 @@
 
 %pre -n %name-daemon
 %_sbindir/groupadd -f %name ||:
-%_sbindir/useradd -r -n -M -g %name -d %rtdir -s /dev/null %name &>/dev/null ||:
+%_sbindir/useradd -r -N -M -g %name -d %rtdir -s /dev/null %name &>/dev/null ||:
 
 %triggerpostun -n %name-daemon -- fetchmail-daemon <= 6.3.9-alt1
 usermod -d %rtdir %name ||:
--- a/freeradius.spec	2023-11-13 06:07:58.896122324 +0300
+++ b/freeradius.spec	2023-11-13 06:07:58.969121489 +0300
@@ -297,7 +297,7 @@
 
 %pre common
 /usr/sbin/groupadd -r -f radiusd
-/usr/sbin/useradd -r -n -g radiusd -d /dev/null -s /dev/null -c RADIUS radiusd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g radiusd -d /dev/null -s /dev/null -c RADIUS radiusd >/dev/null 2>&1 ||:
 
 %post
 %post_service radiusd
--- a/ftn.spec	2023-11-13 06:07:59.199118858 +0300
+++ b/ftn.spec	2023-11-13 06:07:59.209118742 +0300
@@ -75,7 +75,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name ||:
-/usr/sbin/useradd -r -g %name -G uucp -M -d %_localstatedir/%name -s /bin/sh -n %name &>/dev/null ||:
+/usr/sbin/useradd -r -g %name -G uucp -M -d %_localstatedir/%name -s /bin/sh -N %name &>/dev/null ||:
 
 %files
 %defattr(644,root,%name,750)
--- a/gerbera.spec	2023-11-13 06:08:01.531092179 +0300
+++ b/gerbera.spec	2023-11-13 06:08:01.541092064 +0300
@@ -93,7 +93,7 @@
 
 %pre
 groupadd -r -f %name >/dev/null 2>&1 ||:
-useradd -r -n -g %name -d %_localstatedir/%name -s /dev/null \
+useradd -r -N -g %name -d %_localstatedir/%name -s /dev/null \
     -c 'Gerbera UPnP Media Server' %name >/dev/null 2>&1 ||:
 
 %post
--- a/git.spec	2023-11-13 06:08:01.761089546 +0300
+++ b/git.spec	2023-11-13 06:08:01.805089043 +0300
@@ -397,7 +397,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f _gitd
-/usr/sbin/useradd -r -g _gitd -d /dev/null -s /dev/null -c 'The git server' -n _gitd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _gitd -d /dev/null -s /dev/null -c 'The git server' -N _gitd >/dev/null 2>&1 ||:
 
 %files
 
--- a/havp.spec	2023-11-13 06:08:02.284083564 +0300
+++ b/havp.spec	2023-11-13 06:08:02.294083449 +0300
@@ -94,7 +94,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
-/usr/sbin/useradd -r -g %name -d /dev/null -c 'Proxy with antivirus scan' -s /dev/null -n %name &> /dev/null ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -c 'Proxy with antivirus scan' -s /dev/null -N %name &> /dev/null ||:
 
 %post
 %post_service %name
--- a/iftop.spec	2023-11-13 06:08:02.389082362 +0300
+++ b/iftop.spec	2023-11-13 06:08:02.395082295 +0300
@@ -57,7 +57,7 @@
 
 %post
 %_sbindir/groupadd -r -f _iftop
-%_sbindir/useradd -r -g _iftop -d /dev/null -s /dev/null -n _iftop >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _iftop -d /dev/null -s /dev/null -N _iftop >/dev/null 2>&1 ||:
 %post_control -s netadmin iftop
 
 %files
--- a/jicofo.spec	2023-11-13 06:08:03.859065545 +0300
+++ b/jicofo.spec	2023-11-13 06:08:03.865065477 +0300
@@ -67,7 +67,7 @@
 %_unitdir/%name.service
 
 %pre
-%_sbindir/useradd -r -d /dev/null -s /dev/null -n %jicofo_user \
+%_sbindir/useradd -r -d /dev/null -s /dev/null -N %jicofo_user \
         2> /dev/null > /dev/null ||:
 
 %changelog
--- a/kannel.spec	2023-11-13 06:08:04.029063602 +0300
+++ b/kannel.spec	2023-11-13 06:08:04.041063463 +0300
@@ -120,7 +120,7 @@
 
 %pre
 %_sbindir/groupadd %kannel_group ||:
-%_sbindir/useradd -r -d /dev/null -s /dev/null -g %kannel_group -n %kannel_user \
+%_sbindir/useradd -r -d /dev/null -s /dev/null -g %kannel_group -N %kannel_user \
 	2> /dev/null > /dev/null ||:
 
 %post
--- a/lightsquid.spec	2023-11-13 06:08:16.313923058 +0300
+++ b/lightsquid.spec	2023-11-13 06:08:16.324922931 +0300
@@ -91,7 +91,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
-/usr/sbin/useradd -r -g %name -G squid -d %_localstatedir/%name -c 'Log parser lightsquid' -s /bin/false -n %name &> /dev/null ||:
+/usr/sbin/useradd -r -g %name -G squid -d %_localstatedir/%name -c 'Log parser lightsquid' -s /bin/false -N %name &> /dev/null ||:
 
 %post
 if [[ -d %lightdir/report ]]; then
--- a/manticore.spec	2023-11-13 06:08:16.566920164 +0300
+++ b/manticore.spec	2023-11-13 06:08:16.580920003 +0300
@@ -144,7 +144,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _%name &>/dev/null
-%_sbindir/useradd -r -n -g _%name -d /var/empty -s /bin/false -c "Manticore Searchd pseudo user" _%name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _%name -d /var/empty -s /bin/false -c "Manticore Searchd pseudo user" _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/mariadb.spec	2023-11-13 06:08:16.656919133 +0300
+++ b/mariadb.spec	2023-11-13 06:08:16.739918185 +0300
@@ -708,7 +708,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f %mysqld_user
-/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MariaDB server" -n %mysqld_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MariaDB server" -N %mysqld_user >/dev/null 2>&1 ||:
 
 %pre_control mysqld
 %pre_control mysqld-chroot
--- a/memcached.spec	2023-11-13 06:08:16.846916961 +0300
+++ b/memcached.spec	2023-11-13 06:08:16.859916811 +0300
@@ -84,7 +84,7 @@
 
 %pre
 groupadd -r -f %pkg_group
-useradd -r -g %pkg_group -d /dev/null -s /dev/null -n %pkg_user >/dev/null 2>&1 ||:
+useradd -r -g %pkg_group -d /dev/null -s /dev/null -N %pkg_user >/dev/null 2>&1 ||:
 if [ $1 -eq 2 ] && [ ! -f /var/run/%name/%name.pid ] && [ -f /var/run/%name.pid ]; then
    mkdir /var/run/%name/
    mv /var/run/%name.pid /var/run/%name/%name.pid
--- a/minio.spec	2023-11-13 06:08:16.976915474 +0300
+++ b/minio.spec	2023-11-13 06:08:16.986915359 +0300
@@ -77,7 +77,7 @@
 
 %pre
 groupadd -r -f _%name
-useradd -r -g _%name -c "Minio" -d %_sharedstatedir/%name -s /dev/null -n _%name >/dev/null 2>&1 ||:
+useradd -r -g _%name -c "Minio" -d %_sharedstatedir/%name -s /dev/null -N _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/mkai.spec	2023-11-13 06:08:17.043914706 +0300
+++ b/mkai.spec	2023-11-13 06:08:17.048914648 +0300
@@ -36,7 +36,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mkaiuser
-%_sbindir/useradd -r -g %mkaiuser -d %_localstatedir/%name -s /dev/null -n %mkaiuser > /dev/null 2>&1
+%_sbindir/useradd -r -g %mkaiuser -d %_localstatedir/%name -s /dev/null -N %mkaiuser > /dev/null 2>&1
 if ! getent group hashman |cut -d: -f4 |tr , '\n' |fgrep -qsx %mkaiuser; then
 	hasher-useradd %mkaiuser &&
 	printf '%%s\n%%s\n' 'allow_ttydev=YES' 'allowed_mountpoints=/dev/pts' \
--- a/mknfsroot.spec	2023-11-13 06:08:17.116913871 +0300
+++ b/mknfsroot.spec	2023-11-13 06:08:17.121913814 +0300
@@ -36,7 +36,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mknfsrootuser
-%_sbindir/useradd -r -g %mknfsrootuser -d %_localstatedir/%name -s /dev/null -n %mknfsrootuser > /dev/null 2>&1
+%_sbindir/useradd -r -g %mknfsrootuser -d %_localstatedir/%name -s /dev/null -N %mknfsrootuser > /dev/null 2>&1
 if ! getent group hashman |cut -d: -f4 |tr , '\n' |fgrep -qsx %mknfsrootuser; then
 	hasher-useradd %mknfsrootuser &&
 	printf '%%s\n%%s\n' 'allow_ttydev=YES' 'allowed_mountpoints=/dev/pts' \
--- a/monetdb.spec	2023-11-13 06:08:17.350911195 +0300
+++ b/monetdb.spec	2023-11-13 06:08:17.358911104 +0300
@@ -66,7 +66,7 @@
 
 %pre server
 %_sbindir/groupadd -r -f _monetdb
-%_sbindir/useradd -r -g _monetdb -r -c "MonetDB database management system" -s /sbin/nologin -d %_localstatedir/monetdb5 -n _monetdb > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _monetdb -r -c "MonetDB database management system" -s /sbin/nologin -d %_localstatedir/monetdb5 -N _monetdb > /dev/null 2>&1 ||:
 
 %post server
 %post_service %name
--- a/mongo.spec	2023-11-13 06:08:17.426910325 +0300
+++ b/mongo.spec	2023-11-13 06:08:17.444910119 +0300
@@ -145,7 +145,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -155,7 +155,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2023-11-13 06:08:17.514909317 +0300
+++ b/mongo.spec	2023-11-13 06:08:17.532909113 +0300
@@ -148,7 +148,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -158,7 +158,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2023-11-13 06:08:17.596908380 +0300
+++ b/mongo.spec	2023-11-13 06:08:17.616908150 +0300
@@ -148,7 +148,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -158,7 +158,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2023-11-13 06:08:17.685907362 +0300
+++ b/mongo.spec	2023-11-13 06:08:17.702907167 +0300
@@ -141,7 +141,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -151,7 +151,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mpd.spec	2023-11-13 06:08:17.994903827 +0300
+++ b/mpd.spec	2023-11-13 06:08:18.018903552 +0300
@@ -227,7 +227,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mpd_group &>/dev/null ||:
-%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
+%_sbindir/useradd -r -N -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
     -c "Music Player Daemon (%Name)" %mpd_user &>/dev/null ||:
 %_sbindir/usermod -g %mpd_group -G audio %mpd_user &>/dev/null ||:
 
--- a/mrtg.spec	2023-11-13 06:08:18.075902900 +0300
+++ b/mrtg.spec	2023-11-13 06:08:18.085902786 +0300
@@ -104,7 +104,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name &> /dev/null ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name &> /dev/null ||:
 
 %files
 %doc CHANGES COPYRIGHT MANIFEST README README.ALT-ru_RU.KOI8-R THANKS
--- a/mtr.spec	2023-11-13 06:08:18.177901732 +0300
+++ b/mtr.spec	2023-11-13 06:08:18.192901562 +0300
@@ -132,7 +132,7 @@
 %pre
 /usr/sbin/groupadd -r -f netadmin
 /usr/sbin/groupadd -r -f mtruser
-/usr/sbin/useradd -r -g mtruser -d /dev/null -s /dev/null -n mtruser >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g mtruser -d /dev/null -s /dev/null -N mtruser >/dev/null 2>&1 ||:
 %pre_control mtr
 
 %post
--- a/nagios.spec	2023-11-13 06:08:18.305900268 +0300
+++ b/nagios.spec	2023-11-13 06:08:18.337899903 +0300
@@ -259,7 +259,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null
-%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/%name \
+%_sbindir/useradd -r -N -g %nagios_grp -d %_localstatedir/%name \
     -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:
 
 %post
--- a/nagios-nrpe.spec	2023-11-13 06:08:18.581897112 +0300
+++ b/nagios-nrpe.spec	2023-11-13 06:08:18.596896939 +0300
@@ -132,7 +132,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null ||:
-%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/nagios \
+%_sbindir/useradd -r -N -g %nagios_grp -d %_localstatedir/nagios \
     -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:
 
 %post
--- a/nbd.spec	2023-11-13 06:08:18.666896138 +0300
+++ b/nbd.spec	2023-11-13 06:08:18.677896012 +0300
@@ -118,7 +118,7 @@
 
 %pre server
 %_sbindir/groupadd -r -f _nbd
-%_sbindir/useradd -r -g _nbd -d /dev/null -s /dev/null -n _nbd > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _nbd -d /dev/null -s /dev/null -N _nbd > /dev/null 2>&1 ||:
 
 %post server
 %post_service %name
--- a/nfdump.spec	2023-11-13 06:08:18.774894904 +0300
+++ b/nfdump.spec	2023-11-13 06:08:18.787894755 +0300
@@ -145,10 +145,10 @@
 
 %pre
 %_sbindir/groupadd -r -f nfcapd
-%_sbindir/useradd -r -n -g nfcapd -d %_cachedir/nfcapd -s /bin/false nfcapd >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g nfcapd -d %_cachedir/nfcapd -s /bin/false nfcapd >/dev/null 2>&1 ||:
 
 %_sbindir/groupadd -r -f sfcapd
-%_sbindir/useradd -r -n -g sfcapd -d %_cachedir/sfcapd -s /bin/false sfcapd >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g sfcapd -d %_cachedir/sfcapd -s /bin/false sfcapd >/dev/null 2>&1 ||:
 
 %post
 %post_service nfcapd
--- a/nfs.spec	2023-11-13 06:08:18.846894078 +0300
+++ b/nfs.spec	2023-11-13 06:08:18.868893828 +0300
@@ -135,9 +135,9 @@
 #-------------------------------------------------------------------------------
 %pre clients
 %_sbindir/groupadd -r -f rpcuser &> /dev/null
-%_sbindir/useradd -r -g rpcuser -d %_localstatedir/nfs -s /dev/null -c 'RPC Service User' -n rpcuser &> /dev/null ||:
+%_sbindir/useradd -r -g rpcuser -d %_localstatedir/nfs -s /dev/null -c 'RPC Service User' -N rpcuser &> /dev/null ||:
 %_sbindir/groupadd -r -f nfsuser &> /dev/null
-%_sbindir/useradd -r -g nfsuser -d /dev/null -s /dev/null -c 'NFS Service User' -n nfsuser &> /dev/null ||:
+%_sbindir/useradd -r -g nfsuser -d /dev/null -s /dev/null -c 'NFS Service User' -N nfsuser &> /dev/null ||:
 
 %pre utils
 [ $1 -eq 1 ] || /usr/sbin/control-dump nfsmount
--- a/nginx.spec	2023-11-13 06:08:18.930893119 +0300
+++ b/nginx.spec	2023-11-13 06:08:18.957892810 +0300
@@ -257,7 +257,7 @@
 %pre
 %_sbindir/groupadd -r -f %nginx_group ||:
 %_sbindir/groupadd -r -f _webserver ||:
-%_sbindir/useradd -r -g %nginx_group -G _webserver -d /dev/null -s /dev/null -n %nginx_user \
+%_sbindir/useradd -r -g %nginx_group -G _webserver -d /dev/null -s /dev/null -N %nginx_user \
 	2> /dev/null > /dev/null ||:
 
 %post
--- a/ngrep.spec	2023-11-13 06:08:19.015892146 +0300
+++ b/ngrep.spec	2023-11-13 06:08:19.022892066 +0300
@@ -52,7 +52,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name
-%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %files
 %_sbindir/%name
--- a/nmap.spec	2023-11-13 06:08:19.070891517 +0300
+++ b/nmap.spec	2023-11-13 06:08:19.080891403 +0300
@@ -99,7 +99,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f nmapuser
-/usr/sbin/useradd -r -g nmapuser -d /dev/null -s /dev/null -n nmapuser >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g nmapuser -d /dev/null -s /dev/null -N nmapuser >/dev/null 2>&1 ||:
 
 %files
 %_bindir/nmap
--- a/nsd.spec	2023-11-13 06:08:19.243889537 +0300
+++ b/nsd.spec	2023-11-13 06:08:19.250889457 +0300
@@ -62,7 +62,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _nsd
-/usr/sbin/useradd -r -g _nsd -d /var/empty -s /sbin/nologin -n -c "Name Server Daemon" _nsd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _nsd -d /var/empty -s /sbin/nologin -N -c "Name Server Daemon" _nsd >/dev/null 2>&1 ||:
 
 %preun
 %preun_service nsd
--- a/openssh.spec	2023-11-13 06:08:24.674827407 +0300
+++ b/openssh.spec	2023-11-13 06:08:24.703827074 +0300
@@ -235,7 +235,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post server
--- a/openssh.spec	2023-11-13 06:08:24.815825792 +0300
+++ b/openssh.spec	2023-11-13 06:08:24.843825472 +0300
@@ -251,7 +251,7 @@
 
 %pre -n %oname-server-gostcrypto
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post -n %oname-server-gostcrypto
--- a/openvswitch.spec	2023-11-13 06:08:24.959824145 +0300
+++ b/openvswitch.spec	2023-11-13 06:08:24.994823745 +0300
@@ -286,7 +286,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name
-%_sbindir/useradd -r -n -g %name -d %_localstatedir/%name -M -s /sbin/nologin -c "Open vSwitch Daemons" %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d %_localstatedir/%name -M -s /sbin/nologin -c "Open vSwitch Daemons" %name >/dev/null 2>&1 ||:
 
 %post
 if [ $1 -eq 2 ] && [ -f %_sysconfdir/openvswitch/system-id.conf ] ; then
--- a/osec.spec	2023-11-13 06:08:25.104822487 +0300
+++ b/osec.spec	2023-11-13 06:08:25.113822383 +0300
@@ -88,7 +88,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %osec_group
-/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -n %osec_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -N %osec_user >/dev/null 2>&1 ||:
 
 %triggerpostun -- %name < 0:1.0.0-alt1
 rm -f %osec_statedir/osec.db.*
--- a/passivedns.spec	2023-11-13 06:08:25.766814914 +0300
+++ b/passivedns.spec	2023-11-13 06:08:25.776814800 +0300
@@ -106,7 +106,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _%name
-/usr/sbin/useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -n -c "DNS network sniffer" _%name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -N -c "DNS network sniffer" _%name >/dev/null 2>&1 ||:
 
 %post daemon
 %post_service %name
--- a/pdnsd.spec	2023-11-13 06:08:25.906813311 +0300
+++ b/pdnsd.spec	2023-11-13 06:08:25.912813242 +0300
@@ -60,7 +60,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1 ||:
-%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %post
 [ -s %_cachedir/%name/%name.cache ] ||
--- a/php-fpm-fcgi.spec	2023-11-13 06:08:26.255809319 +0300
+++ b/php-fpm-fcgi.spec	2023-11-13 06:08:26.269809159 +0300
@@ -153,7 +153,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/php-fpm-fcgi.spec	2023-11-13 06:08:26.353808197 +0300
+++ b/php-fpm-fcgi.spec	2023-11-13 06:08:26.370808003 +0300
@@ -155,7 +155,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/php-fpm-fcgi.spec	2023-11-13 06:08:26.471806849 +0300
+++ b/php-fpm-fcgi.spec	2023-11-13 06:08:26.487806665 +0300
@@ -155,7 +155,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/php-fpm-fcgi.spec	2023-11-13 06:08:26.578805623 +0300
+++ b/php-fpm-fcgi.spec	2023-11-13 06:08:26.594805439 +0300
@@ -155,7 +155,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/pidentd.spec	2023-11-13 06:08:26.676804502 +0300
+++ b/pidentd.spec	2023-11-13 06:08:26.682804434 +0300
@@ -46,7 +46,7 @@
 install -p -m755 -D %SOURCE3 $RPM_BUILD_ROOT%_initdir/identd
 
 %pre                                                                                                  
-/usr/sbin/useradd -r -g proc -d /dev/null -s /dev/null -n %name &>/dev/null ||:
+/usr/sbin/useradd -r -g proc -d /dev/null -s /dev/null -N %name &>/dev/null ||:
 
 %post
 %post_service identd
--- a/polkit.spec	2023-11-13 06:08:28.263786346 +0300
+++ b/polkit.spec	2023-11-13 06:08:28.275786210 +0300
@@ -97,7 +97,7 @@
 
 %pre
 %_sbindir/groupadd -r -f polkitd 2>/dev/null ||:
-%_sbindir/useradd -r -n -g polkitd -d / \
+%_sbindir/useradd -r -N -g polkitd -d / \
 	-s /dev/null -c "User for polkitd" polkitd 2>/dev/null ||:
 
 %files -f %name-1.lang
--- a/popa3d.spec	2023-11-13 06:08:28.332785557 +0300
+++ b/popa3d.spec	2023-11-13 06:08:28.337785501 +0300
@@ -51,7 +51,7 @@
 
 %post
 /usr/sbin/groupadd -r -f popa3d
-/usr/sbin/useradd -r -g popa3d -d /dev/null -s /dev/null -n popa3d >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g popa3d -d /dev/null -s /dev/null -N popa3d >/dev/null 2>&1 ||:
 
 %files
 %_sbindir/popa3d
--- a/postfix.spec	2023-11-13 06:08:28.504783589 +0300
+++ b/postfix.spec	2023-11-13 06:08:28.555783007 +0300
@@ -504,8 +504,8 @@
 /usr/sbin/groupadd -r -f %mail_owner
 /usr/sbin/groupadd -r -f %default_privs
 /usr/sbin/groupadd -r -f %mail_admin
-/usr/sbin/useradd -r -n -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
-/usr/sbin/useradd -r -n -g %default_privs -d /dev/null -s /dev/null -c %default_privs %default_privs >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %default_privs -d /dev/null -s /dev/null -c %default_privs %default_privs >/dev/null 2>&1 ||:
 
 rm -f %restart_flag
 if [ $1 -ge 2 ]; then
--- a/pound.spec	2023-11-13 06:08:28.644781987 +0300
+++ b/pound.spec	2023-11-13 06:08:28.650781920 +0300
@@ -42,7 +42,7 @@
 %post_service pound
 
 /usr/sbin/groupadd -r -f _pound
-/usr/sbin/useradd -r -g _pound -d /dev/null -s /dev/null -n _pound >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _pound -d /dev/null -s /dev/null -N _pound >/dev/null 2>&1 ||:
 
 %preun
 %preun_service pound
--- a/prosody.spec	2023-11-13 06:08:28.705781291 +0300
+++ b/prosody.spec	2023-11-13 06:08:28.711781221 +0300
@@ -50,7 +50,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _prosody
-/usr/sbin/useradd -r -g _prosody -d %_localstatedir/%name -s /sbin/nologin -n -c "%summary" _prosody >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _prosody -d %_localstatedir/%name -s /sbin/nologin -N -c "%summary" _prosody >/dev/null 2>&1 ||:
 
 %preun
 %preun_service prosody
--- a/pypolicyd-spf.spec	2023-11-13 06:08:29.325774197 +0300
+++ b/pypolicyd-spf.spec	2023-11-13 06:08:29.331774128 +0300
@@ -45,7 +45,7 @@
 /usr/sbin/groupadd -r -f %pypolicy_owner
 /usr/sbin/groupadd -r -f %pypolicy_admin
 
-/usr/sbin/useradd -r -n -g %pypolicy_owner -M -s /dev/null -c %pypolicy_owner %pypolicy_owner >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %pypolicy_owner -M -s /dev/null -c %pypolicy_owner %pypolicy_owner >/dev/null 2>&1 ||:
 
 %files -f INSTALLED_FILES
 %_man1dir/*
--- a/quagga.spec	2023-11-13 06:08:33.300728723 +0300
+++ b/quagga.spec	2023-11-13 06:08:33.321728483 +0300
@@ -234,7 +234,7 @@
 /usr/sbin/groupadd -rf %vty_gid
 /usr/sbin/groupadd -rf %quagga_gid
 
-/usr/sbin/useradd -r -g %quagga_gid -d /dev/null -s /dev/null -n %quagga_user &>/dev/null ||:
+/usr/sbin/useradd -r -g %quagga_gid -d /dev/null -s /dev/null -N %quagga_user &>/dev/null ||:
 /usr/sbin/usermod -G %vty_gid %quagga_user &>/dev/null ||:
 
 %post
--- a/rpcbind.spec	2023-11-13 06:08:34.668713073 +0300
+++ b/rpcbind.spec	2023-11-13 06:08:34.675712992 +0300
@@ -45,7 +45,7 @@
 
 %post
 /usr/sbin/groupadd -r -f rpc
-/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -n rpc >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -N rpc >/dev/null 2>&1 ||:
 %post_control -s local rpcbind
 %post_service %name
 
--- a/sa-content-filter.spec	2023-11-13 06:08:34.894710487 +0300
+++ b/sa-content-filter.spec	2023-11-13 06:08:34.901710407 +0300
@@ -36,7 +36,7 @@
 mkdir -p  %buildroot%_var/run/spamd/
 
 %pre
-/usr/sbin/useradd -r -g %spamd_group -d /dev/null -s /dev/null -n _filter >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %spamd_group -d /dev/null -s /dev/null -N _filter >/dev/null 2>&1 ||:
 
 %post
 if [ "$1" -eq 1 ]; then
--- a/scanlogd.spec	2023-11-13 06:08:35.114707970 +0300
+++ b/scanlogd.spec	2023-11-13 06:08:35.119707914 +0300
@@ -34,7 +34,7 @@
 
 %post
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 %post_service %name
 
 %preun
--- a/slocate.spec	2023-11-13 06:08:35.443704206 +0300
+++ b/slocate.spec	2023-11-13 06:08:35.448704149 +0300
@@ -30,7 +30,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %files
 %attr(2711,root,%name) %_bindir/%name
--- a/smstools.spec	2023-11-13 06:08:35.506703486 +0300
+++ b/smstools.spec	2023-11-13 06:08:35.514703393 +0300
@@ -66,7 +66,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f smsd
-/usr/sbin/useradd -r -n -g smsd -d /dev/null -s /dev/null -c SMSd -G uucp,smsd smsd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g smsd -d /dev/null -s /dev/null -c SMSd -G uucp,smsd smsd >/dev/null 2>&1 ||:
 
 %post
 %post_service smsd
--- a/snmptt.spec	2023-11-13 06:08:35.723701002 +0300
+++ b/snmptt.spec	2023-11-13 06:08:35.733700889 +0300
@@ -105,7 +105,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f snmptt ||:
-/usr/sbin/useradd -r -g snmptt -d %_var/spool/snmptt -s /sbin/nologin -n -c "SNMP Trap Translate" snmptt ||:
+/usr/sbin/useradd -r -g snmptt -d %_var/spool/snmptt -s /sbin/nologin -N -c "SNMP Trap Translate" snmptt ||:
 
 %post
 %post_service %name
--- a/spawn-fcgi.spec	2023-11-13 06:08:35.790700236 +0300
+++ b/spawn-fcgi.spec	2023-11-13 06:08:35.796700167 +0300
@@ -43,7 +43,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %spawn_fcgi_group ||:
-%_sbindir/useradd -r -g %spawn_fcgi_group -d /dev/null -s /dev/null -n %spawn_fcgi_user \
+%_sbindir/useradd -r -g %spawn_fcgi_group -d /dev/null -s /dev/null -N %spawn_fcgi_user \
         2> /dev/null > /dev/null ||:
 
 %post
--- a/sphinx.spec	2023-11-13 06:08:36.111696565 +0300
+++ b/sphinx.spec	2023-11-13 06:08:36.125696404 +0300
@@ -150,7 +150,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _sphinx &>/dev/null
-%_sbindir/useradd -r -n -g _sphinx -d /var/empty -s /bin/false -c "Sphinx Searchd pseudo user" _sphinx >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _sphinx -d /var/empty -s /bin/false -c "Sphinx Searchd pseudo user" _sphinx >/dev/null 2>&1 ||:
 
 %post
 %post_service searchd
--- a/sqlgrey.spec	2023-11-13 06:08:36.211695419 +0300
+++ b/sqlgrey.spec	2023-11-13 06:08:36.219695329 +0300
@@ -56,7 +56,7 @@
 /usr/sbin/groupadd -r -f %sqlgrey_owner
 /usr/sbin/groupadd -r -f %sqlgrey_admin
 
-/usr/sbin/useradd -r -n -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
 
 %post
 if [ $1 = 1 ]; then
--- a/sssd.spec	2023-11-13 06:08:36.299694413 +0300
+++ b/sssd.spec	2023-11-13 06:08:36.365693658 +0300
@@ -554,7 +554,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %sssd_user 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %sssd_user -G _keytab -d %sssdstatedir -s /dev/null -c "User for sssd" %sssd_user 2> /dev/null ||:
+%_sbindir/useradd -r -N -g %sssd_user -G _keytab -d %sssdstatedir -s /dev/null -c "User for sssd" %sssd_user 2> /dev/null ||:
 
 %post
 chown root:root %_sysconfdir/sssd/sssd.conf
--- a/starman.spec	2023-11-13 06:08:36.447692720 +0300
+++ b/starman.spec	2023-11-13 06:08:36.455692628 +0300
@@ -66,7 +66,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _starman
-%_sbindir/useradd -r -g _starman -r -c "starman web server" -s /dev/null -d /dev/null -n _starman > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _starman -r -c "starman web server" -s /dev/null -d /dev/null -N _starman > /dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/sysklogd.spec	2023-11-13 06:08:36.604690924 +0300
+++ b/sysklogd.spec	2023-11-13 06:08:36.615690798 +0300
@@ -103,7 +103,7 @@
 
 %pre -n syslogd
 /usr/sbin/groupadd -r -f syslogd
-/usr/sbin/useradd -r -g syslogd -d /dev/null -s /dev/null -n syslogd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g syslogd -d /dev/null -s /dev/null -N syslogd >/dev/null 2>&1 ||:
 
 %post -n syslogd
 %post_service syslogd
@@ -113,7 +113,7 @@
 
 %pre -n klogd
 /usr/sbin/groupadd -r -f klogd
-/usr/sbin/useradd -r -g klogd -d /dev/null -s /dev/null -n klogd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g klogd -d /dev/null -s /dev/null -N klogd >/dev/null 2>&1 ||:
 
 %post -n klogd
 %post_service klogd
--- a/telnet.spec	2023-11-13 06:08:36.676690101 +0300
+++ b/telnet.spec	2023-11-13 06:08:36.683690020 +0300
@@ -70,7 +70,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f telnetd
-/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -n telnetd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -N telnetd >/dev/null 2>&1 ||:
 
 %files
 %_bindir/telnet
--- a/tftp.spec	2023-11-13 06:08:37.095685308 +0300
+++ b/tftp.spec	2023-11-13 06:08:37.109685148 +0300
@@ -134,7 +134,7 @@
 
 %post -n %{name}d
 %_sbindir/groupadd -rf %sys_group ||:
-%_sbindir/useradd -r -g %sys_group -d /dev/null -s /dev/null -n %sys_user &>/dev/null ||:
+%_sbindir/useradd -r -g %sys_group -d /dev/null -s /dev/null -N %sys_user &>/dev/null ||:
 
 %post server-standalone
 %post_service %dname ||:
--- a/tokyotyrant.spec	2023-11-13 06:08:37.214683945 +0300
+++ b/tokyotyrant.spec	2023-11-13 06:08:37.227683798 +0300
@@ -120,7 +120,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _tyrant &>/dev/null ||:
-%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g _tyrant \
+%_sbindir/useradd -r -N -M -s /dev/null -d %_localstatedir/%name -g _tyrant \
     -c "Server of Tokyo Tyrant (%sname)" _tyrant &>/dev/null ||:
 
 
--- a/ulogd.spec	2023-11-13 06:08:37.426681520 +0300
+++ b/ulogd.spec	2023-11-13 06:08:37.439681371 +0300
@@ -119,7 +119,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1
-%_sbindir/useradd -r -n -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
 
 %preun
 %preun_service %name
--- a/unbound.spec	2023-11-13 06:08:37.497680709 +0300
+++ b/unbound.spec	2023-11-13 06:08:37.516680491 +0300
@@ -163,7 +163,7 @@
 
 %pre -n lib%name
 /usr/sbin/groupadd -r -f _%name
-/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -n -c "Domain Name Server" _%name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -N -c "Domain Name Server" _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/utftpd.spec	2023-11-13 06:08:37.582679735 +0300
+++ b/utftpd.spec	2023-11-13 06:08:37.590679644 +0300
@@ -69,7 +69,7 @@
 
 %pre
 /usr/sbin/groupadd -rf tftp
-/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -n tftp &>/dev/null ||:
+/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -N tftp &>/dev/null ||:
 
 %files
 %ghost %_sysconfdir/utftpd.cdb
--- a/virtualbox.spec	2023-11-13 06:08:38.845665287 +0300
+++ b/virtualbox.spec	2023-11-13 06:08:38.877664919 +0300
@@ -810,7 +810,7 @@
 
 %if_with webservice
 %pre webservice
-/usr/sbin/useradd -r -g vboxusers -d %vboxwebdir -c 'VirtualBox Web Service' -n vboxwebsrv -s /bin/sh >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g vboxusers -d %vboxwebdir -c 'VirtualBox Web Service' -N vboxwebsrv -s /bin/sh >/dev/null 2>&1 ||:
 %endif
 
 %ifarch x86_64
--- a/vsftpd.spec	2023-11-13 06:08:38.976663788 +0300
+++ b/vsftpd.spec	2023-11-13 06:08:38.985663686 +0300
@@ -75,8 +75,8 @@
 umask 077
 /usr/sbin/groupadd -r -f vsftpd
 /usr/sbin/groupadd -r -f novsftpd
-/usr/sbin/useradd -r -g vsftpd -d /var/ftp -s /dev/null -n vsftpd >/dev/null 2>&1 ||:
-/usr/sbin/useradd -r -g novsftpd -d /dev/null -s /dev/null -n novsftpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g vsftpd -d /var/ftp -s /dev/null -N vsftpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g novsftpd -d /dev/null -s /dev/null -N novsftpd >/dev/null 2>&1 ||:
 touch %_logdir/vsftpd.log
 
 %files
--- a/xfs.spec	2023-11-13 06:08:39.394659006 +0300
+++ b/xfs.spec	2023-11-13 06:08:39.400658938 +0300
@@ -53,7 +53,7 @@
 
 %pre
 %_sbindir/groupadd -r -f xfs >/dev/null 2>&1 ||:
-%_sbindir/useradd -r -g xfs -d /etc/X11/fs -s /dev/null -c "X Font Server" -n xfs >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g xfs -d /etc/X11/fs -s /dev/null -c "X Font Server" -N xfs >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
